Skip to main content
PUT
/
backpre-order
/
backorderpreorder-reserve
/
{lineItemId}
/
{orderNumber}
Update BackOrderPreOrderReservation
curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "backOrderedQuantity": 2,
  "toReleaseQuantity": 3,
  "locationNum": 23,
  "channelId": "channel_12",
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "orderStatusCode": "Created",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}"

payload = {
"backOrderedQuantity": 2,
"toReleaseQuantity": 3,
"locationNum": 23,
"channelId": "channel_12",
"vendorId": "vendor_123",
"consentToDelay": "true",
"consentDate": "2022-07-12T09:30:31.198Z",
"lastNotificationDate": "2022-06-12T09:30:31.198Z",
"toNotify": "false",
"orderStatusCode": "Created",
"lineItemStatus": "CANCELLED",
"paymentStatus": "OK"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
backOrderedQuantity: 2,
toReleaseQuantity: 3,
locationNum: 23,
channelId: 'channel_12',
vendorId: 'vendor_123',
consentToDelay: 'true',
consentDate: '2022-07-12T09:30:31.198Z',
lastNotificationDate: '2022-06-12T09:30:31.198Z',
toNotify: 'false',
orderStatusCode: 'Created',
lineItemStatus: 'CANCELLED',
paymentStatus: 'OK'
})
};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
{
"message": "Bad Request"
}
{
"message": "Object Not Found."
}
{
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lineItemId
string
required
orderNumber
string
required

Body

application/json

The body is of type string.

Example:
{
"backOrderedQuantity": 2,
"toReleaseQuantity": 3,
"locationNum": 23,
"channelId": "channel_12",
"vendorId": "vendor_123",
"consentToDelay": "true",
"consentDate": "2022-07-12T09:30:31.198Z",
"lastNotificationDate": "2022-06-12T09:30:31.198Z",
"toNotify": "false",
"orderStatusCode": "Created",
"lineItemStatus": "CANCELLED",
"paymentStatus": "OK"
}

Response

BackOrderPreOrderReservation object Updated

BackOrderPreOrderReservation Model

orderNumber
string
required
Example:

"order_123"

sku
string
required
Example:

"sku_123"

lineItemId
string
required
Example:

"0"

type
string
required
Example:

"BACKORDER"

orderDate
string<date-time>
required
Example:

"2022-04-12T09:30:31.198Z"

backOrderedQuantity
integer<int32>
required
Example:

5

locationNum
integer<int32>
required
Example:

23

channelId
string
required
Example:

"channel_12"

orderStatusCode
string
required
Example:

"Created"

id
string
Example:

"1"

itemId
string
Example:

"123"

cartId
string
Example:

"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"

toReleaseQuantity
integer<int32>
Example:

0

vendorId
string
Example:

"vendor_123"

Example:

"true"

Example:

"2022-07-12T09:30:31.198Z"

lastNotificationDate
string<date-time>
Example:

"2022-06-12T09:30:31.198Z"

toNotify
string
Example:

"false"

lineItemStatus
string
Example:

"CANCELLED"

paymentStatus
string
Example:

"OK"